PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_MemoryDrawing

Source Location: /PHPExcel/Worksheet/MemoryDrawing.php

### Class Overview

    PHPExcel_Worksheet_BaseDrawing
       |
       --PHPExcel_Worksheet_MemoryDrawing

PHPExcel_Worksheet_MemoryDrawing

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Constants

- MIMETYPE_DEFAULT
- MIMETYPE_GIF
- MIMETYPE_JPEG
- MIMETYPE_PNG
- RENDERING_DEFAULT
- RENDERING_GIF
- RENDERING_JPEG
- RENDERING_PNG

### Methods

- getHashCode
- getImageResource
- getIndexedFilename
- getMimeType
- getRenderingFunction
- __construct
- setImageResource
- setMimeType
- setRenderingFunction
- __clone

### Inherited Variables

#### Class: PHPExcel_Worksheet_BaseDrawing

PHPExcel_Worksheet_BaseDrawing::$_coordinates
PHPExcel_Worksheet_BaseDrawing::$_description
PHPExcel_Worksheet_BaseDrawing::$_height
PHPExcel_Worksheet_BaseDrawing::$_name
PHPExcel_Worksheet_BaseDrawing::$_offsetX
PHPExcel_Worksheet_BaseDrawing::$_offsetY
PHPExcel_Worksheet_BaseDrawing::$_resizeProportional
PHPExcel_Worksheet_BaseDrawing::$_rotation
PHPExcel_Worksheet_BaseDrawing::$_shadow
PHPExcel_Worksheet_BaseDrawing::$_width
PHPExcel_Worksheet_BaseDrawing::$_worksheet

### Inherited Methods

#### Class: PHPExcel_Worksheet_BaseDrawing

PHPExcel_Worksheet_BaseDrawing::__construct()
  Create a new PHPExcel_Worksheet_BaseDrawing
PHPExcel_Worksheet_BaseDrawing::getCoordinates()
  Get Coordinates
PHPExcel_Worksheet_BaseDrawing::getDescription()
  Get Description
PHPExcel_Worksheet_BaseDrawing::getHashCode()
  Get hash code
PHPExcel_Worksheet_BaseDrawing::getHeight()
  Get Height
PHPExcel_Worksheet_BaseDrawing::getImageIndex()
  Get image index
PHPExcel_Worksheet_BaseDrawing::getName()
  Get Name
PHPExcel_Worksheet_BaseDrawing::getOffsetX()
  Get OffsetX
PHPExcel_Worksheet_BaseDrawing::getOffsetY()
  Get OffsetY
PHPExcel_Worksheet_BaseDrawing::getResizeProportional()
  Get ResizeProportional
PHPExcel_Worksheet_BaseDrawing::getRotation()
  Get Rotation
PHPExcel_Worksheet_BaseDrawing::getShadow()
  Get Shadow
PHPExcel_Worksheet_BaseDrawing::getWidth()
  Get Width
PHPExcel_Worksheet_BaseDrawing::getWorksheet()
  Get Worksheet
PHPExcel_Worksheet_BaseDrawing::setCoordinates()
  Set Coordinates
PHPExcel_Worksheet_BaseDrawing::setDescription()
  Set Description
PHPExcel_Worksheet_BaseDrawing::setHeight()
  Set Height
PHPExcel_Worksheet_BaseDrawing::setName()
  Set Name
PHPExcel_Worksheet_BaseDrawing::setOffsetX()
  Set OffsetX
PHPExcel_Worksheet_BaseDrawing::setOffsetY()
  Set OffsetY
PHPExcel_Worksheet_BaseDrawing::setResizeProportional()
  Set ResizeProportional
PHPExcel_Worksheet_BaseDrawing::setRotation()
  Set Rotation
PHPExcel_Worksheet_BaseDrawing::setShadow()
  Set Shadow
PHPExcel_Worksheet_BaseDrawing::setWidth()
  Set Width
PHPExcel_Worksheet_BaseDrawing::setWidthAndHeight()
  Set width and height with proportional resize
PHPExcel_Worksheet_BaseDrawing::setWorksheet()
  Set Worksheet
PHPExcel_Worksheet_BaseDrawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

### Class Details

[line 36]
PHPExcel_Worksheet_MemoryDrawing

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method getHashCode [line 177]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::getHashCode() (Get hash code)
[ Top ]

### method getImageResource [line 98]

`resource getImageResource( )`

Get image resource

#### Tags:

access: | public

[ Top ]

### method getIndexedFilename [line 164]

`string getIndexedFilename( )`

Get indexed filename (using image index)

#### Tags:

access: | public

[ Top ]

### method getMimeType [line 144]

`string getMimeType( )`

Get mime type

#### Tags:

access: | public

[ Top ]

### method getRenderingFunction [line 124]

`string getRenderingFunction( )`

Get rendering function

#### Tags:

access: | public

[ Top ]

### constructor __construct [line 81]

`PHPExcel_Worksheet_MemoryDrawing __construct( )`

Create a new PHPExcel_Worksheet_MemoryDrawing

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::__construct() (Create a new PHPExcel_Worksheet_BaseDrawing)
[ Top ]

### method setImageResource [line 108]

`PHPExcel_Worksheet_MemoryDrawing setImageResource( [$value $value = null])`

Set image resource

#### Tags:

access: | public

#### Parameters:

$value | $value | resource

[ Top ]

### method setMimeType [line 154]

`PHPExcel_Worksheet_MemoryDrawing setMimeType( [string $value = PHPExcel_Worksheet_MemoryDrawing::MIMETYPE_DEFAULT])`

Set mime type

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setRenderingFunction [line 134]

`PHPExcel_Worksheet_MemoryDrawing setRenderingFunction( [string $value = PHPExcel_Worksheet_MemoryDrawing::RENDERING_DEFAULT])`

Set rendering function

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method __clone [line 190]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::__clone() (Implement PHP __clone to create a deep clone, not just a shallow copy.)
[ Top ]

### Class Constants

#### MIMETYPE_DEFAULT = 'image/png'

[line 45]

[ Top ]

#### MIMETYPE_GIF = 'image/gif'

[line 47]

[ Top ]

#### MIMETYPE_JPEG = 'image/jpeg'

[line 48]

[ Top ]

#### MIMETYPE_PNG = 'image/png'

[line 46]

[ Top ]

#### RENDERING_DEFAULT = 'imagepng'

[line 39]

[ Top ]

#### RENDERING_GIF = 'imagegif'

[line 41]

[ Top ]

#### RENDERING_JPEG = 'imagejpeg'

[line 42]

[ Top ]

#### RENDERING_PNG = 'imagepng'

[line 40]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:42 +0200 by phpDocumentor 1.4.4